use ina3221;

fn main() {
    let mut ina = ina3221::Ina3221::new(0x40, "/dev/i2c-1", 5.0);
    let res = match ina.bus_voltage(ina3221::Channel::One) {
        Ok(value) => value,
        Err(error) => panic!("Can't read i2c: {error:?}"),
    };
    println!("Channel one bus voltage: {:?} V.", res);
}
